PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
stonith_admin <command> [<options>]

DESCRIPTION
stonith_admin - Access the Pacemaker fencing API

OPTIONS

  Help Options:

-?, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-definition
    Show device definition help

--help-queries
    Show query help

--help-fence
    Show fence help

--help-additional
    Show additional options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), html, xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

--html-cgi
    Add CGI headers (requires --output-as=html)

--html-stylesheet=URI
    Link to an external stylesheet (requires --output-as=html)

--html-title=TITLE
    Specify a page title (requires --output-as=html)

  Device Definition Commands:

-R, --register=DEVICE
    Register the named stonith device. Requires: --agent. Optional: --option, --env-option.

-D, --deregister=DEVICE
    De-register the named stonith device.

-r, --register-level=TARGET
    Register a stonith level for the named target, specified as one of NAME, @PATTERN, or ATTR=VALUE. Requires: --index and one or more --device entries.

-d, --deregister-level=TARGET
    Unregister a stonith level for the named target, specified as for --register-level. Requires: --index

  Queries:

-l, --list=HOST
    List devices that can terminate the specified host. Optional: --timeout

-L, --list-registered
    List all registered devices. Optional: --timeout.

-I, --list-installed
    List all installed devices. Optional: --timeout.

-s, --list-targets=DEVICE
    List the targets that can be fenced by the named device. Optional: --timeout.

-M, --metadata
    Show agent metadata. Requires: --agent. Optional: --timeout.

-Q, --query=DEVICE
    Check the named device's status. Optional: --timeout.

-H, --history=NODE
    Show last successful fencing operation for named node (or '*' for all nodes). Optional: --timeout, --cleanup, --quiet (show only the operation's epoch timestamp), --verbose (show all recorded and pending operations), --broadcast (update history from all nodes available).

-h, --last=NODE
    Indicate when the named node was last fenced. Optional: --as-node-id.

-K, --validate
    Validate a fence device configuration. Requires: --agent. Optional: --option, --env-option, --quiet (print no output, only return status).

  Fencing Commands:

-F, --fence=HOST
    Fence named host. Optional: --timeout, --tolerance, --delay.

-U, --unfence=HOST
    Unfence named host. Optional: --timeout, --tolerance, --delay.

-B, --reboot=HOST
    Reboot named host. Optional: --timeout, --tolerance, --delay.

-C, --confirm=HOST
    Tell cluster that named host is now safely down.

  Additional Options:

-c, --cleanup
    Cleanup wherever appropriate. Requires --history.

-b, --broadcast
    Broadcast wherever appropriate.

-a, --agent=AGENT
    The agent to use (for example, fence_xvm; with --register, --metadata, --validate).

-o, --option=PARAM
    Specify a device configuration parameter as NAME=VALUE (may be specified multiple times; with --register, --validate).

-e, --env-option=PARAM
    Specify a device configuration parameter with the specified name, using the value of the environment variable of the same name prefixed with OCF_RESKEY_ (may be specified multiple times; with --register, --validate).

-T, --tag=TAG
    Identify fencing operations in logs with the specified tag; useful when multiple entities might invoke stonith_admin (used with most commands).

-v, --device=DEVICE
    Device ID (with --register-level, device to associate with a given host and level; may be specified multiple times) (with --validate, name to use to load CIB secrets).

-i, --index=LEVEL
    The stonith level (1-9) (with --register-level, --deregister-level).

-t, --timeout=SECONDS
    Operation timeout in seconds (default 120; used with most commands).

-y, --delay=SECONDS
    Apply a fencing delay in seconds. Any static/random delays from pcmk_delay_base/max will be added, otherwise all disabled with the value -1 (default 0; with --fence, --reboot, --unfence).

-n, --as-node-id
    (Advanced) The supplied node is the corosync node ID (with --last).

--tolerance=SECONDS
    (Advanced) Do nothing if an equivalent --fence request succeeded less than this many seconds earlier (with --fence, --unfence, --reboot).

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

-q, --quiet
    Be less descriptive in output.

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors

REPORTING BUGS
Report bugs to https://bugs.clusterlabs.org/enter_bug.cgi?product=Pacemaker